import javax.swing.*;

import java.awt.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

public class LoginApplet extends JApplet implements ActionListener
  
{
	
	Container c;
	JTextField ltf;
	String query, qr, ts;
	JButton exitbutton, submitbutton;
	JTextArea textarea;
	public void init()
	{
		c=getContentPane();
		ltf=new JTextField();
		ltf.setEditable(true);
        submitbutton=new JButton("Submit");
		BorderLayout bl=new BorderLayout();
		setLayout(bl);
		Box box=Box.createHorizontalBox();
		box.add(ltf);
		box.add(submitbutton);
		c.add(box, BorderLayout.NORTH);
		ltf.addActionListener(this);
		submitbutton.addActionListener(this);
		textarea=new JTextArea(25,20);
		textarea.setEditable(false);
		JScrollPane sp=new JScrollPane(textarea);
		c.add(sp, BorderLayout.CENTER);
		exitbutton=new JButton("Exit");
		c.add(exitbutton, BorderLayout.SOUTH);
		exitbutton.addActionListener(this);
	}

	public void actionPerformed(ActionEvent e)
	{
		if(e.getSource()==exitbutton)
		{
			System.exit(0);
		}
		else if(e.getSource()==submitbutton)
		
		{
			query=ltf.getText();
			textarea.append(query);
			try
			{
				
				//URL url=new URL("http://localhost:8080/LoginApplet/NewSite.html");
				URL url=new URL("http://localhost:8080/LoginApplet/TestLoginServlet");
				qr="qr="+URLEncoder.encode(query);
				textarea.append("\n"+"The applet displays"+qr+"\n");
				URLConnection uc=url.openConnection();
				uc.setDoOutput(true);
				uc.setDoInput(true);
				uc.setUseCaches(false);
                //stream that writes into a buffer
				ByteArrayOutputStream bytestream=new ByteArrayOutputStream(512);
				PrintWriter out=new PrintWriter(bytestream,true);
				
				//write POST data into a local buffer
				out.print(qr);
				out.flush();
				//POST requests are required to have Content Length
				String lengthString=String.valueOf(bytestream.size());
				uc.setRequestProperty("Content-Length", lengthString);
				//Set content type if Netscape is also a valid browser besides IE
				//If serialized data is sent out with an ObjectOutputStream this step is not needed
				uc.setRequestProperty("Content-type", "application/x-www-form-urlencoded");
				bytestream.writeTo(uc.getOutputStream());
				out.close();
				/*
				//Using DataOutputStream uses POST
				DataOutputStream  dos1=new DataOutputStream(uc.getOutputStream());
				dos1.writeChars(qr);
				dos1.flush();
				dos1.close();
				*/
				InputStreamReader in=new InputStreamReader(uc.getInputStream());
				int chr=in.read();
				while(chr!=-1)
				{
					textarea.append(String.valueOf((char)chr));
				    chr=in.read();
				}
				in.close();
				System.out.println("I finished try. Name="+" "+query);
			}
			catch(MalformedURLException exception){textarea.setText(e.toString()); }
			catch(IOException exception){textarea.setText(e.toString());}
			System.out.println("I finished actionPerformed");
		}
	}
}

