
import java.rmi.*;
import java.rmi.server.*;

public class ReverseInterfaceImpl extends UnicastRemoteObject implements ReverseInterface

{
	public ReverseInterfaceImpl() throws RemoteException
	{
		super();
	}
	public String reverseString(String originalstring) throws RemoteException
	{
		int length=originalstring.length();
		StringBuffer temp=new StringBuffer(length);
		for (int i=length; i>0; i-- )
		{
			temp.append(originalstring.substring(i-1,i));
		}
		return temp.toString();
	}

	public static void main(String[] args)
	{
		if (System.getSecurityManager()==null)
		{
			System.setSecurityManager(new RMISecurityManager());
		}
		String name="//localhost/Reverse";
		try
		{
			ReverseInterfaceImpl r= new ReverseInterfaceImpl();
			Naming.rebind(name, r);
			
		}
		catch(Exception e) {
			System.out.println("Error while binding object");
			System.out.println(e.toString());
		}
		System.out.println("The RMI server is up and Running!");
	}

}


